io.siddhi.extension.execution.map

## Class ToXMLFunctionExtension

- java.lang.Object
- - io.siddhi.core.executor.function.FunctionExecutor
  - - io.siddhi.extension.execution.map.ToXMLFunctionExtension

- All Implemented Interfaces:
    io.siddhi.core.executor.ExpressionExecutor, Serializable

      public class ToXMLFunctionExtension
      extends io.siddhi.core.executor.function.FunctionExecutor

  toXML(Map) or toXML(Map, RootElementName) Returns the string representation of the map in XML format Accept Type(s): (Map) or (Map, String) Return Type(s): String
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class io.siddhi.core.executor.function.FunctionExecutor

      `attributeExpressionExecutors, functionId, processingMode, siddhiQueryContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToXMLFunctionExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `execute(Object[] data, io.siddhi.core.util.snapshot.state.State state)`
    `protected Object` | `execute(Object data, io.siddhi.core.util.snapshot.state.State state)`
    `io.siddhi.query.api.definition.Attribute.Type` | `getReturnType()`
    `protected io.siddhi.core.util.snapshot.state.StateFactory` | `init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors, io.siddhi.core.util.config.ConfigReader configReader, io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)`

    - ### Methods inherited from class io.siddhi.core.executor.function.FunctionExecutor

      `execute, execute, execute, initExecutor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToXMLFunctionExtension

          public ToXMLFunctionExtension()

  - ### Method Detail

    - #### init

          protected io.siddhi.core.util.snapshot.state.StateFactory init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors,
                                                                         io.siddhi.core.util.config.ConfigReader configReader,
                                                                         io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)

      Specified by:
        `init` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### execute

          protected Object execute(Object[] data,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `execute` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### execute

          protected Object execute(Object data,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `execute` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### getReturnType

          public io.siddhi.query.api.definition.Attribute.Type getReturnType()

Copyright © 2022 WSO2. All rights reserved.